/*
 * libdevice-node
 *
 * Copyright (c) 2015 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __HW_SYSTEMD_H__
#define __HW_SYSTEMD_H__

#ifdef __cplusplus
extern "C" {
#endif

int systemd_start_service(const char *service_name);
int systemd_stop_service(const char *service_name);
int systemd_start_socket(const char *socket_name);
int systemd_stop_socket(const char *socket_name);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __HW_SYSTEMD_H__ */

